<?php

namespace NoccyLabs\Dataset;

defined("NOCCYLABS_DATASET_TEST") || define("NOCCYLABS_DATASET_TEST", true);

class DatasetManagerTest extends \PHPUnit\Framework\TestCase
{

    /**
     * @covers DatasetManager::__construct
     * @covers DatasetManager::determineVendorPath
     */
    public function testCreatingTheDatasetManager()
    {
        $dm = new DatasetManager();
    
        $sets = $dm->getAvailableDatasets();
        $this->assertEquals(2, count($sets), "Expected 2 loaded set");
    }
}
